std::is_trivially_destructible< _Tp > Struct Template Reference
Metaprogramming

Inherits type< is_destructible< _Tp >, integral_constant< bool, __has_trivial_destructor(_Tp)> >.

## Detailed Description

### template<typename _Tp>
struct std::is_trivially_destructible< _Tp >

is_trivially_constructible (still unimplemented)

is_trivially_default_constructible (still unimplemented) is_trivially_copy_constructible (still unimplemented) is_trivially_move_constructible (still unimplemented) is_trivially_assignable (still unimplemented) is_trivially_copy_assignable (still unimplemented) is_trivially_move_assignable (still unimplemented) is_trivially_destructible

Definition at line 1204 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits